Highlighted

Re: RE: Is it possible to open document invisible in SE?

Valued Contributor
Valued Contributor

May anyone help me to translate the code to VB.net?

Re: RE: Is it possible to open document invisible in SE?

Legend
Legend

Hi @RamonRuiz

 

The only thing you can to do is to add the parameter 8 in your open command; something like this (I'm using SolidEdgeCommunity NuGet packages by @jnewell)

 

Dim objApp As SolidEdgeFramework.Application = SolidEdgeCommunity.SolidEdgeUtils.Connect(True, True)

Dim objDoc As SolidEdgePart.PartDocument = objApp.Documents.Open("C:\Program Files\Solid Edge ST9\Training\anchor.par", 8)

  Hidden document.png

  

As you can see in the image above, the document is open but no document window is displayed in SolidEdge.

  

Hope it helps. 

Héctor Pelayo Izquierdo
Engineering Department, JAE Ingeniería y Desarrollos, S.L.
Solid Edge ST9 MP5 | NX 9
Development: VB.NET